Account Management lets you:
- Access all up to date account information
- Access transactions for all accounts by date.
API Call Example:
- Productionhttps://api.raipartners.com/client-management/accounts
- Sandboxhttps://api.dev.raipartners.com/client-management/accounts
curl -i -X GET \
https://api.raipartners.com/client-management/accounts \
-H 'API-Version: 1.0.0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'API Call Response:
Response
- Individual
- null
{"accountIdentification":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"status":"Normal","internalStatus":"Delinquent","currentBalance":1000,"creditLimit":10000,"annualRates":{"cash":19.99,"merchandise":12.99},"openingDate":"2022-01-31","paymentDueDate":"2022-02-01","nextCycleDate":"2022-03-01","cycleToDatePaymentPosted":1000,"lastStatementPaymentAmount":1000,"primaryCardholder":{"ssnId":"b2ce1ee6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","ssn":"123456789","name":"Doe, John","dob":"1970-01-01"},"secondaryCardholder":{"ssnId":"b2ce1ee6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","ssn":"123456789","name":"Doe, John","dob":"1970-01-01"}}
{"accountIdentification":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"status":"Normal","internalStatus":"Delinquent","currentBalance":1000,"creditLimit":10000,"annualRates":{"cash":19.99,"merchandise":12.99},"openin…API Call Example:
- Productionhttps://api.raipartners.com/client-management/transactions/{date}
- Sandboxhttps://api.dev.raipartners.com/client-management/transactions/{date}
curl -i -X GET \
https://api.raipartners.com/client-management/transactions/2026-07-31 \
-H 'API-Version: 1.0.0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'API Call Response:
Response
{"referenceNumber":"7434495GE9WRQ9QVE","type":"Sale","sys":"6161","prin":"0000","agent":"1000","account":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"cardAccount":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"amount":28.35,"date":"2023-01-01","postedDate":"2023-01-02","cycleDate":"2023-01-02","merchant":{"name":"MUSEO OPERA SANTA CROCE","category":"7997","description":"MUSEO OPERA SANTA CROCE FIRENZE IT","location":{"city":"FIRENZE","state":"IT","country":"ITA"}},"exchangeInfo":{"currency":{"code":"EUR","name":"Euro"},"amount":24.2,"exchangeRate":1.171487603}}
{"referenceNumber":"7434495GE9WRQ9QVE","type":"Sale","sys":"6161","prin":"0000","agent":"1000","account":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"cardAccount":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"12345678…